'
'   !------------------------------------------------------------------------!
'   !  Modul: AT_LCD.bas                                                     !
'   !------------------------------------------------------------------------!
'   !                                                                        !
'   !  LCD Interface                                                         !
'   !  Micro Controller:  ATMEL M128                                         !
'   !  Bentigte Module:                                                     !
'   !                                                                        !
'   !------------------------------------------------------------------------!
'   !  Datum    ! Name        ! Abt.    ! Aenderung                          !
'   !------------------------------------------------------------------------!
'   !  30.01.11 ! CoSoMa      !         ! Erstellung                         !
'   !------------------------------------------------------------------------!
'

$regfile = "m2561def.dat"                                   ' specify the used micro


'##########################################
'Definition von Config
'##########################################



Rem Ansteuerung der Metamorphosis LCD anzeige
Config Lcdpin = Pin , Rs = Portc.0 , E = Portc.5 , Db4 = Porta.0 , Db5 = Porta.1 , Db6 = Porta.2 , Db7 = Posta.3       'Config Lcd = 16 * 2
Config Lcd = 16 * 2




'##########################################
'Definition von Funktionen und Prozeduren
'##########################################


Declare Sub Lcd_init(byval Basic As Byte)
Declare Sub Lcd_show(byval Zeile As Integer , Byval Spalte As Integer , Text As String )
Declare Sub Lcd_clear(byval Zeile As Integer)
Declare Sub Lcd_locate(byval Zeile As Integer , Byval Spalte As Integer)
Declare Sub Lcd_cursor(byval Befehl As Byte)



'##########################################
'Definition von Globalen Variablen
'##########################################


'Const On = 1
'Const Off = 0

Dim Lcdbasic As Bit

Dim Lcdtext As String * 16
Dim Mtext As String * 16
Dim Lcd1 As String * 16
Dim Lcd2 As String * 16



'####################
'Modul Anfangskennung
'####################
Goto Endlcd


'####################################
'Systemfunktionen fr das LCD
'####################################

Sub Lcd_init(byval Basic As Byte)

If Basic = 1 Then
  Lcdbasic = 1
End If

   Lcd_clear 0

   'Sendtext = "Init LCD 16*2"
   'Com1_send Sendtext
End Sub




'Status: IO
'Als Parameter Text muss die Globale Variable LCDText benutzt werden
Sub Lcd_show(byval Zeile As Integer , Byval Spalte As Integer , Text As String)




'Positioniert die Zeile und Spalte und gibt einen Text aus
 Locate Zeile , Spalte
 Lcd Text



End Sub

'Status: IO
Sub Lcd_clear(byval Zeile As Integer)




   If Zeile = 0 Then
     Cls
   Else
     Locate Zeile , 1
     Lcd "                "
   End If




End Sub


Sub Lcd_locate(byval Zeile As Integer , Byval Spalte As Integer )





'Positioniert die Zeile und Spalte und gibt einen Text aus
 Locate Zeile , Spalte




End Sub

Sub Lcd_cursor(byval Befehl As Byte)



   If Lcdbasic = 1 Then

       If Befehl = 1 Then
         Cursor On Blink
       End If
       If Befehl = 0 Then
         Cursor Off Blink
       End If

   End If

End Sub

'####################
'Modul Endekennung
'####################
Endlcd: